#ifndef GPHGFX_H_
#define GPHGFX_H_

struct ggfx_rend;
struct ggfx_shader;

enum { GGFX_INIT_DEBUG = 1 };

int ggfx_init(const char *appname, unsigned int flags);
void ggfx_shutdown(void);

struct ggfx_rend *ggfx_alloc_rend(void);
void ggfx_free_rend(struct ggfx_rend *rend);
struct ggfx_rend *ggfx_clone_rend(void);

void ggfx_finalize(struct ggfx_rend *rend);
void ggfx_enable(struct ggfx_rend *rend, unsigned int s);
void ggfx_disable(struct ggfx_rend *rend, unsigned int s);

void ggfx_clear_color(struct ggfx_rend *rend, float r, float g, float b, float a);
void ggfx_clear_depth(struct ggfx_rend *rend, float z);
void ggfx_clear_stencil(struct ggfx_rend *rend, int s);

void ggfx_set_shader(struct ggfx_rend *rend, int sdrtype, struct ggfx_shader *sdr);

#endif	/* GPHGFX_H_ */
